# Class LightBeacon

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a light beacon, typically used to emit or signal light as a visual indicator or warning marker.

    public class LightBeacon

Inheritance
  object
  LightBeacon

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### InUse

    public bool InUse { get; }

#### Property Value

bool

### Name

    public string Name { get; set; }

#### Property Value

string

### Options

    public Options Options { get; set; }

#### Property Value

Options

### Type

    public string Type { get; set; }

#### Property Value

string